pamr.plotcvprob {pamr} | R Documentation

## A function to plot the cross-validated sample probabilities from the nearest shrunken centroid classifier

### Description

A function to plot the cross-validated sample probabilities from the nearest shrunken centroid classifier

### Usage

    pamr.plotcvprob(fit, data, threshold)

### Arguments

`fit` | The result of a call to pamr.cv
`data` | A list with at least two components: x- an expression genes in the rows, samples in the columns), and y- a vector of the class labels for each sample. Same form as data object used by pamr.train.
`threshold` | Threshold value to be used

### Details

`pamr.plotcvprob` plots the cross-validated sample probabilities the from nearest shrunken centroid classifier, stratified by the true classses.

### Value

### Author(s)

Trevor Hastie,Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

### Examples

    set.seed(120)
    x <- matrix(rnorm(1000*20),ncol=20)
    y <- sample(c(1:4),size=20,replace=TRUE)
    mydata <- list(x=x,y=y)
    mytrain <-   pamr.train(mydata)
    mycv <-  pamr.cv(mytrain,mydata)
    pamr.plotcvprob(mycv,mydata,threshold=1.6)

[Package pamr version 1.32.0 Index]